Penta Chart
POST /api/v1/hd/penta
POST
/api/v1/hd/penta
Calculate the Penta (group) chart for 3–5 people: combined BodyGraph showing group dynamics and collective conditioning.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Example
{ "inputs": [ { "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52 }, { "date": "1985-11-03", "time": "08:15:00", "timezoneOffset": 2, "latitude": 48.46, "longitude": 35.04 }, { "date": "1992-07-20", "time": "22:00:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52 } ]}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
Example
{ "ok": true, "data": { "size": 3, "definedCenters": [ "Throat", "Sacral", "Root" ], "channels": [ { "id": "20-57", "defined": true } ], "pentaAuthority": "Splenic", "role": "Nourishment" }}Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }}